Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

sauce::Named< Iface, Name > Class Template Reference

Wrap dependency requests with Named to choose one of several (statically) named alternatives. More...

`#include <sauce/named.h>`

## Detailed Description

### template<typename Iface, typename Name>
class sauce::Named< Iface, Name >

Wrap dependency requests with Named to choose one of several (statically) named alternatives.

The documentation for this class was generated from the following file:

- sauce/named.h